Bug 844177 - RHEVM - Backend: Bad error on activating a host twice
RHEVM - Backend: Bad error on activating a host twice
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Oved Ourfali
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 11:20 EDT by Daniel Paikov
Modified: 2016-02-10 14:06 EST (History)
10 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:06:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (251.87 KB, application/x-compressed-tar)
2012-07-29 11:20 EDT, Daniel Paikov
no flags Details

  None (edit)
Description Daniel Paikov 2012-07-29 11:20:29 EDT
Created attachment 601045 [details]
engine.log

When activating the same host again while it's already being activated, the following error appears in the GUI: "Error while executing action: Cannot ${action} ${type}. Same action in progress."

From engine.log:
2012-07-29 18:14:19,676 INFO  [org.ovirt.engine.core.bll.ActivateVdsCommand] (pool-3-thread-6) [58c34e06] Running command: ActivateVdsCommand internal: false. Entities affected :  ID: f776d6e8-d96f-11e1-8509-001a4a16978d Type: VDS
2012-07-29 18:14:19,690 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-3-thread-6) [58c34e06] START, SetVdsStatusVDSCommand(vdsId = f776d6e8-d96f-11e1-8509-001a4a16978d, status=Unassigned, nonOperationalReason=NONE), log id: 69012c04
2012-07-29 18:14:47,017 INFO  [org.ovirt.engine.core.bll.ActivateVdsCommand] (ajp--127.0.0.1-8009-9) Failed to Acquire Lock to object EngineLock [exclusiveLocks= key: f776d6e8-d96f-11e1-8509-001a4a16978d value: VDS
, sharedLocks= ]
2012-07-29 18:14:47,018 WARN  [org.ovirt.engine.core.bll.ActivateVdsCommand] (ajp--127.0.0.1-8009-9) CanDoAction of action ActivateVds failed. Reasons:ACTION_TYPE_FAILED_OBJECT_LOCKED
Comment 1 Oved Ourfali 2012-07-30 05:01:18 EDT
Commit: 9e16756f5aca449eb5b3ebb84557811edf49e155

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=9e16756f5aca449eb5b3ebb84557811edf49e155

Note You need to log in before you can comment on or make changes to this bug.